ContextualSerializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map

## Interface ContextualSerializer<T>

- Type Parameters:
    `T` - Type of serializer to contextualize

      public interface ContextualSerializer<T>

  Add-on interface that `JsonSerializer`s can implement to get a callback that can be used to create contextual instances of serializer to use for handling properties of supported type. This can be useful for serializers that can be configured by annotations, or should otherwise have differing behavior depending on what kind of property is being serialized.
  Since:
    1.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonSerializer<T>` | `createContextual(SerializationConfig config, BeanProperty property)` Method called to see if a different (or differently configured) serializer is needed to serialize values of specified property.

- - ### Method Detail

    - #### createContextual

          JsonSerializer<T> createContextual(SerializationConfig config,
                                           BeanProperty property)
                                             throws JsonMappingException

      Method called to see if a different (or differently configured) serializer is needed to serialize values of specified property. Note that instance that this method is called on is typically shared one and as a result method should NOT modify this instance but rather construct and return a new instance. This instance should only be returned as-is, in case it is already suitable for use.
      Parameters:
        `config` - Current serialization configuration
        `property` - Method or field that represents the property (and is used to access value to serialize). Should be available; but there may be cases where caller can not provide it and null is passed instead (in which case impls usually pass 'this' serializer as is)
      Returns:
        Serializer to use for serializing values of specified property; may be this instance or a new instance.
      Throws:
        `JsonMappingException`